{
    "env": {
        "browser": true,
        "es2021": true
    },
    "extends": [
        "plugin:react/recommended",
        "standard-with-typescript",
        "plugin:@typescript-eslint/recommended",
        "plugin:prettier/recommended"
    ],
    "overrides": [
        {
            "files": ["*.ts", "*.tsx"],
            "rules": {
                "prettier/prettier": "error",
                "@typescript-eslint/no-shadow": ["error"],
                "no-shadow": "off",
                "no-undef": "off",
                "semi": ["error", "never", {"beforeStatementContinuationChars": "never"}],
                "comma-dangle": ["error", "never"],
                "@typescript-eslint/comma-dangle": "off",
                "jsx-quotes": ["error", "prefer-single"],
                "react-hooks/exhaustive-deps": "warn",
                "no-console": ["error", {"allow": ["error"]}]
            }
        }
    ],
    "parserOptions": {
        "ecmaVersion": "latest",
        "sourceType": "module",
        "project": ["tsconfig.json"]
    },
    "plugins": [
        "react",
        "react-hooks"
    ]
}
